﻿Imports System.Runtime.InteropServices
Imports MaxIm

<ComClass(PlugIn.ClassId, PlugIn.InterfaceId, PlugIn.EventsId)>
Public Class PlugIn

#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "B75856DD-8237-4EDB-9C1C-DAA4D1775BCE"
    Public Const InterfaceId As String = "77166E25-5BC7-41F6-97DB-2F869B26D806"
    Public Const EventsId As String = "FD254F75-2C6B-49D5-AEE6-4FADC7046785"
#End Region

    ' A creatable COM class must have a Public Sub New() 
    ' with no parameters, otherwise, the class will not be 
    ' registered in the COM registry and cannot be created 
    ' via CreateObject.
    Public Sub New()
        MyBase.New()
    End Sub

    Public Sub DoModal(ByVal Doc As MaxIm.Document)

        Dim myApp As New MaxIm.Application

        Dim myDocs As MaxIm.Documents
        myDocs = myApp.Documents
        Dim ImgColl As New Collection
        Dim i As Integer


        For i = 1 To myDocs.Count()
            ImgColl.Add(myDocs.Item(i))
        Next

        Doc.AlignImages(AlignType.mxAutoStarMatch, False, ImgColl)




        Marshal.ReleaseComObject(myDocs)
        Marshal.ReleaseComObject(myApp)
    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return "MaxIm DL Sample VB.Net Plugin - AlignDocs"
        End Get
    End Property

End Class



