﻿Imports System.Runtime.InteropServices
Imports MaxIm

<ComClass(PlugIn.ClassId, PlugIn.InterfaceId, PlugIn.EventsId)>
Public Class PlugIn

#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "5839343C-CB9C-4193-ABF9-183E1BA4AEC7"
    Public Const InterfaceId As String = "C15A56DD-4736-4A73-8B5A-1BAD398DC100"
    Public Const EventsId As String = "320DEFBF-C306-4D30-B21D-BC79167779E9"
#End Region

    ' A creatable COM class must have a Public Sub New() 
    ' with no parameters, otherwise, the class will not be 
    ' registered in the COM registry and cannot be created 
    ' via CreateObject.
    Public Sub New()
        MyBase.New()
    End Sub

    Public Sub DoModal(ByVal Doc As MaxIm.Document)



        Dim docColor As String
        docColor = "Monochrome"

        Dim docName As String
        docName = Doc.DisplayName

        Dim docXSize, docYSize As Short
        docXSize = Doc.XSize
        docYSize = Doc.YSize

        If (Doc.Color) Then docColor = "Color"


        MsgBox(docName + vbCrLf + docColor + vbCrLf + docXSize.ToString() + "x" + docYSize.ToString())



    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return "MaxIm DL Sample VB.Net Plugin - DocInfo"
        End Get
    End Property

End Class




