﻿Imports System.Runtime.InteropServices
Imports MaxIm

<ComClass(PlugIn.ClassId, PlugIn.InterfaceId, PlugIn.EventsId)>
Public Class PlugIn

#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "83CF9178-6437-4F9A-ABA0-E76E726D3B5A"
    Public Const InterfaceId As String = "EB2386BA-0B94-4A00-80FD-81BC933C4E83"
    Public Const EventsId As String = "92BA593F-2439-4036-8B5C-99B815187BC3"
#End Region

    ' A creatable COM class must have a Public Sub New() 
    ' with no parameters, otherwise, the class will not be 
    ' registered in the COM registry and cannot be created 
    ' via CreateObject.
    Public Sub New()
        MyBase.New()
    End Sub

    Public Sub DoModal(ByVal Doc As MaxIm.Document)

        Dim myStr As String
        myStr = ""

        Dim myApp As MaxIm.Application
        myApp = New MaxIm.Application()
        Dim myDocs As MaxIm.Documents
        myDocs = myApp.Documents

        Dim docsCount As Integer
        docsCount = myDocs.Count()
        myStr = docsCount.ToString() + " documents" + vbCrLf

        Dim doc2 As MaxIm.Document
        doc2 = Nothing

        For i = 1 To docsCount

            If (i = 1) Then doc2 = myApp.FirstDocument Else doc2 = myApp.NextDocument
            myStr = myStr + doc2.DisplayName + vbCrLf
        Next i


        MsgBox(myStr)

        Marshal.ReleaseComObject(doc2)
        Marshal.ReleaseComObject(myDocs)
        Marshal.ReleaseComObject(myApp)

    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return "MaxIm DL Sample VB.Net Plugin - ListDocs2"
        End Get
    End Property

End Class





